# closure-library.d.ts

> Closure Library declaration files for TypeScript.

Generated by [clutz](https://github.com/angular/clutz).

## Usage

`npm i -D closure-library.d.ts` and edit `tsconfig.json` like:

```json
"baseUrl": "./",
"paths": {
    "goog:*": ["./node_modules/closure-library.d.ts/index.d.ts"]
},
```

then

```ts
import Component from 'goog:goog.ui.Component';

class MyComponent extends Component {
  hello(): string {
    return 'Hello!';
  }
}
```

## Known errors

- See [errors.txt](./errors.txt)

## Restrictions

- Worker related files (ex. `goog.messaging.*`) are removed because TypeScript cannot support both DOM and Worker.
  - [Specifying lib: DOM and WebWorker should not be mutually exclusive · Issue \#20595 · Microsoft/TypeScript](https://github.com/Microsoft/TypeScript/issues/20595)

## License

MIT License: Teppei Sato <teppeis@gmail.com>
